Portfolio

Set the current user's display currency

POST/portfolio/user-currency

Creates or updates the authenticated user's preferred display currency. The currency code is normalised to uppercase before storage. Accepts any valid ISO 4217 currency code.

Request body

application/json, required · PortfolioUpsertUserCurrencyRequest

  • currencystringRequired#
{
  "currency": "string"
}

Responses

200
{
  "id": 1,
  "user_id": "string",
  "currency": "string",
  "created_at": "string",
  "updated_at": "string"
}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/user-currency\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "currency": "string"
}'